import "package:feedback_repository_interface/src/models/feedback_report.dart";
import "package:feedback_repository_interface/src/models/issue_report.dart";

///
abstract class FeedbackRepositoryInterface {
  ///
  Future<void> sendFeedback({required FeedbackReport feedback});

  ///
  Future<void> sendReport({required IssueReport report});

  ///
  Future<bool> shouldShowFeedbackPopup({required int showCount});

  ///
  Future<void> addViewCount();
}
